Package org.eclipse.emf.cdo.server

# Interface CDOServerBrowser.Page

All Known Implementing Classes:
  `CDOServerBrowser.AbstractPage`, `CDOServerBrowser.BranchesPage`, `CDOServerBrowser.HistoryPage`, `CDOServerBrowser.LobsPage`, `CDOServerBrowser.LocksPage`, `CDOServerBrowser.PackagesPage`, `CDOServerBrowser.RevisionsPage`, `CDOServerBrowser.RevisionsPage.FromCache`, `CDOServerBrowser.RevisionsPage.FromStore`

Enclosing class:
  `CDOServerBrowser`

public static interface CDOServerBrowser.Page
Represents pluggable content for a `server browser`.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canDisplay(InternalRepository repository)`
`void`
`display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)`
`String`
`getLabel()`
`String`
`getName()`
`default void`
`modifyStyles(Map<String,String> styles)`

## Field Details

### PRODUCT_GROUP

static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

## Method Details

### getName

String getName()

### getLabel

String getLabel()

### canDisplay

boolean canDisplay(InternalRepository repository)

### display

void display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)

### modifyStyles

default void modifyStyles(Map<String,String> styles)

Since:
  4.25